Unit tammhr_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMMHR_p;

function tammhr: String; 

implementation

function tammhr: String;
var
MA,N,ML,MU,MB,NN,I,J,J0,J1,K,IERR :Integer;
RCOND :Real;
A :Array [0..24] of Real;
B :Array [0..49] of Real;
Z :Array [0..4] of Real;
NLEAD :Array [0..4] of Integer;
label
_1,_2,_3,_4;
begin
Result := '';
MA := 5;
N := 5;
ML := 1;
MU := 1;
MB := 5;
NN := 10;
for I:=1 to MA do
 begin
  for J:=1 to N do
   begin
    A[(I-1)+(J-1)*5] := 0.0;
    B[(I-1)+(J-1)*5] := 0.0;
    B[(I-1)+(J+5-1)*5] := 0.0;
_1:
   end;
_2:
 end;
for I:=1 to MA do
 begin
  J0 := Max0(1,I-ML);
  J1 := Min0(N,I+MU);
  for J:=J0 to J1 do
   begin
    K := J-I+ML+1;
    A[(I-1)+(K-1)*5] := (I*10+J);
    B[(I-1)+(J-1)*5] := A[(I-1)+(K-1)*5];
    B[(I-1)+(J+5-1)*5] := A[(I-1)+(K-1)*5];
_3:
   end;
_4:
 end;
Result := Result + Format('%s',['   A=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
for I:=1 to MA do
 begin
  Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   B=']);
Result := Result + #$0D#$0A;
for J:=1 to NN do
 begin
for I:=1 to MB do
 begin
  Result := Result + Format('%20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
AMMHR(A,MA,N,ML,MU,NLEAD,B,MB,NN,RCOND,Z,IERR);
Result := Result + Format('%s',['   NLEAD=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
  Result := Result + Format('%3d ',[NLEAD[J-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   A=']);
Result := Result + #$0D#$0A;
for J:=1 to N do
 begin
for I:=1 to MA do
 begin
  Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*5]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   IERR=']);
Result := Result + Format('%3d',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',['     RCOND=']);
Result := Result + Format('%20.16f ',[RCOND]) + #$0D#$0A;
Result := Result + Format('%s',['   B=']);
Result := Result + #$0D#$0A;
for J:=1 to NN do
 begin
for I:=1 to MB do
 begin
  Result := Result + Format('%20.16f ',[B[(I-1)+(J-1)*5]]) + #$0D#$0A;
 end;
 end;
Result := Result + #$0D#$0A;
UtRes('tammhr',Result);  {     tammhr.res }
exit;
end;

end.
